org.apache.ode.bpel.common

## Class Messages

- java.lang.Object
- - java.util.ResourceBundle
  - - org.apache.ode.utils.msg.MessageBundle
    - - org.apache.ode.bpel.common.Messages

-     public class Messages
      extends MessageBundle

  Human-readable messages for the common classes.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `java.util.ResourceBundle.Control`

  - ### Field Summary

    - ### Fields inherited from class java.util.ResourceBundle

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Messages()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `msgISODateParseErr(java.lang.String filterKey, java.lang.String restriction)` The restriction for filter "{0}" must follow the ISO-8601 date or date/time standard (yyyyMMddhhmmss); "{1}" does not follow this form.
    `java.lang.String` | `msgUnrecognizedFilterKey(java.lang.String filterKey, java.util.Collection<java.lang.String> filterKeys)` The filter "{0}" is not recognized; try one of {1}.

    - ### Methods inherited from class org.apache.ode.utils.msg.MessageBundle

      `format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Messages

          public Messages()

  - ### Method Detail

    - #### msgUnrecognizedFilterKey

          public java.lang.String msgUnrecognizedFilterKey(java.lang.String filterKey,
                                                           java.util.Collection<java.lang.String> filterKeys)

      The filter "{0}" is not recognized; try one of {1}.

    - #### msgISODateParseErr

          public java.lang.String msgISODateParseErr(java.lang.String filterKey,
                                                     java.lang.String restriction)

      The restriction for filter "{0}" must follow the ISO-8601 date or date/time standard (yyyyMMddhhmmss); "{1}" does not follow this form.